@import url("https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&display=swap");
body {
  font-family: "Rubik", sans-serif;
  font-optical-sizing: auto;
}

.font-weight-300 {
  font-weight: 300;
}

.font-weight-400 {
  font-weight: 400;
}

.font-weight-500 {
  font-weight: 500;
}

.font-weight-700 {
  font-weight: 700;
}

.font-weight-900 {
  font-weight: 900;
}
table th {
  background-color: gray;
  color: black !important;
  font-weight: 700;
}

table tr {
  color: white;
}

.uk-navbar-container {
  background-color: white !important;
  color: black;
  position: relative;
  z-index: 1000;
}

.uk-navbar a {
  color: black;
}

.uk-navbar-dropdown {
  background-color: white;
  color: black;
  z-index: 1100 !important;
}

.uk-navbar-dropdown a {
  color: black;
}

.user-icon-white {
  color: black;
  background-color: white;
  border: 2px solid skyblue;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50px;
  height: 50px;
}

.user-icon-white svg {
  color: black;
}

.logo {
  max-width: 100px;
  height: auto;
}

.uk-active {
  font-weight: bold;
}

.user-icon-white {
  color: black;
}

.uk-dropdown {
  z-index: 1100 !important;
}

@media (max-width: 768px) {
  .uk-navbar-left {
    margin-left: 0;
  }

  .uk-navbar-right {
    margin-right: 0;
  }
}
body
  > div
  > div.drp-calendar.left
  > div.calendar-table
  > table
  > thead
  > tr
  > th {
  background-color: white !important;
}
body
  > div
  > div.drp-calendar.right
  > div.calendar-table
  > table
  > thead
  > tr
  > th {
  background-color: white !important;
}
body
  > div
  > div.drp-calendar.left
  > div.calendar-table
  > table
  > tbody
  > tr
  > td {
  color: gray !important;
}
body
  > div
  > div.drp-calendar.right
  > div.calendar-table
  > table
  > tbody
  > tr
  > td {
  color: gray !important;
}
.table-container {
  position: relative;
}
.action-buttons {
  display: flex;
  justify-content: end;
  margin-bottom: 10px;
}
.search-input {
  margin-bottom: 15px;
  padding: 10px;
  font-size: 14px;
  color: white;
  background-color: #333;
  border: 1px solid #555;
  border-radius: 4px;
  transition: all 0.3s ease;
}
.search-input:focus {
  outline: none;
  border-color: #00aaff;
  box-shadow: 0 0 5px rgba(0, 170, 255, 0.5);
}
.search-input-container {
  display: flex;
  gap: 10px;
  background-color: #2c2c2c;
  padding: 10px;
  border-radius: 8px;
  margin-bottom: 10px;
}
@media (max-width: 1200px) {
  .search-input-container {
    flex-direction: column;
  }
  .search-input {
    width: 100%;
  }
}
.no-results {
  text-align: center;
  color: #888;
  padding: 20px;
  display: none;
}
